:root {
  --header-height: 0px;
  --scrollbar-size: 5px;
}

@media screen and (max-width: 768px) {
  :root {
    --header-height: 70px;
  }

  .Header {
    display: block !important;
  }

  .sidebar-logo {
    display: none !important;
  }
}


.docute-footer {
  opacity: 0.5;
  font-size: 0.6em;
}

.Header {
  display: none;
}


.logo {
  height: 70px;
  width: 70px;
  fill: var(--accent-color);
  margin-top: 10px;
}

.sidebar-logo {
  display: block;
  margin: 0 20px;
  padding-bottom: 20px;
  border-bottom: 1px solid var(--border-color);
}

.sidebar-logo svg {
  height: 60px;
  width: 100%;
  fill: var(--accent-color);
  margin: 0;
}
  
.sidebar-login {
  margin: 0 20px;
  margin-top: 30px !important;
  padding: 1rem 0;
  /* background: var(--loader-primary-color); */
  border-top: 1px solid var(--border-color);
  border-bottom: 1px solid var(--border-color);
  position: relative;
  min-height: 69px;
}

.sidebar-login .loading {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.loading svg {
  height: 35px;
  width: 35px;
  fill: var(--accent-color);

  animation: spin 0.5s infinite;
  animation-delay: 0s;
}

@keyframes spin {
  from {transform:rotate(0deg);}
  to {transform:rotate(360deg);}
}

.sidebar-login .user-profile {
  display: flex;
  align-items: center;
}

.sidebar-login .user-profile .icon {
  height: 35px;
  width: 35px;
  border-radius: 50%;
  text-align: center;
  line-height: 35px;
  background: var(--accent-color);
  margin-right: 0.5rem;
  font-size: 0.8em;
  color: var(--code-block-text-color);
  text-transform: uppercase;
}

.sidebar-login .user-profile .name {
  line-height: 1.2;
  /* font-weight: bold; */
  margin-bottom: 3px;
}

.sidebar-login .user-profile .username {
  display: none;
  line-height: 1;
  font-size: 0.8em;
  margin-bottom: 3px;
}

.sidebar-login .user-profile .logout {
  display: block;
  cursor: pointer;
  line-height: 1;
  font-size: 0.8em;
}

.login-form h3 {
  margin-top: 0;
  margin-bottom: 1rem;
  line-height: 1;
}

.login-form .input-group {
  margin-bottom: 0.5rem;
}

.login-form .input-group label {
  display: block;
  font-size: 0.8em;
}

.login-form .input-group input {
  width: 100%;
  display: block;
  padding: 6px;
  border: 1px solid var(--border-color);
  background: var(--page-background);
  color: var(--font-color);
}

.login-form .actions {
  text-align: right;
}

.sidebar-login .btn {
  border: 0 none;
  background: var(--accent-color);
  color: var(--code-block-text-color);
  padding: 5px 15px;
  border-radius: 3px;
  font-weight: bold;
}




.dark-theme-toggler .toggle .toggle-thumb {
  background: var(--accent-color);
}
.dark-theme-toggler .toggle .toggle-track {
  background: transparent;
  border: 1px solid var(--border-color);
}
.dark-theme-toggler .toggle .toggle-track img {
  display: none;
}



::-webkit-scrollbar {
  background-color: transparent;
  width: var(--scrollbar-size);  /* for vertical scrollbars */
  height: var(--scrollbar-size); /* for horizontal scrollbars */
}
::-webkit-scrollbar-track { background: transparent; }
::-webkit-scrollbar-thumb { background: var(--border-color); border-radius: 3px; }